package com.uteksoft.learning;

import javax.ejb.EJB;
import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.JavaArchive;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(Arquillian.class)
public class TemperatureConverterTest {

	@Deployment
	public static JavaArchive createTestArchive() {
		return ShrinkWrap.create(JavaArchive.class, "test.jar").addClasses(TemperatureConverter.class, TemperatureConverterBean.class);
	}
	
	@EJB
	private TemperatureConverter converter;

	@Test
	public void testConvertToCelsius() {
		Assert.assertEquals(converter.convertToCelsius(212d), 100d, 0.9);
	}

/*	
	@Test
	public void testConvertToFarenheit() {
		Assert.assertEquals(converter.convertToFarenheit(0d), 32d, 0.9);
		Assert.assertEquals(converter.convertToFarenheit(100d), 212d, 0.9);
	}
*/
}